EJB3DTDEntityResolver (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class EJB3DTDEntityResolver

    java.lang.Object
      org.hibernate.internal.util.xml.DTDEntityResolver
          org.hibernate.cfg.EJB3DTDEntityResolver

All Implemented Interfaces:
  Serializable, EntityResolver

    public class EJB3DTDEntityResolver

extends DTDEntityResolver

Resolve JPA xsd files locally Hibernate OGM uses this class, consider this some kind of exposed service at the SPI level

See Also:
  Serialized Form

Field Summary
`static EntityResolver` | `INSTANCE`

Constructor Summary
`EJB3DTDEntityResolver()`

Method Summary
`boolean` | `isResolved()` Persistence.xml has been resolved locally
`InputSource` | `resolveEntity(String publicId, String systemId)`

Methods inherited from class org.hibernate.internal.util.xml.DTDEntityResolver
`resolveInHibernateNamespace, resolveInLocalNamespace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final EntityResolver INSTANCE

Constructor Detail

### EJB3DTDEntityResolver

    public EJB3DTDEntityResolver()

Method Detail

### isResolved

    public boolean isResolved()

  Persistence.xml has been resolved locally

  Returns:
    true if it has

### resolveEntity

    public InputSource resolveEntity(String publicId,
                                     String systemId)

  Specified by:
    `resolveEntity` in interface `EntityResolver`
  Overrides:
    `resolveEntity` in class `DTDEntityResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.